View Issue Details

IDProjectCategoryView StatusLast Update
0005027Talerwallet (WebExtensions)public2017-06-06 14:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0005027: use TypeDoc to document TypeScript code
DescriptionSee http://typedoc.org/ and https://github.com/TypeStrong/typedoc
TagsNo tags attached.

Activities

Florian Dold

2017-05-28 22:40

manager   ~0012170

Done now, can be generated with

./configure && make typedoc

The presence of docs on exported and public elements is enforced by the TsLint (with "make lint").

Issue History

Date Modified Username Field Change
2017-05-24 03:09 Florian Dold New Issue
2017-05-24 03:09 Florian Dold Status new => assigned
2017-05-24 03:09 Florian Dold Assigned To => Florian Dold
2017-05-28 22:40 Florian Dold Status assigned => resolved
2017-05-28 22:40 Florian Dold Resolution open => fixed
2017-05-28 22:40 Florian Dold Note Added: 0012170
2017-05-28 22:55 Christian Grothoff Severity minor => text
2017-05-28 22:55 Christian Grothoff Product Version => SVN HEAD
2017-05-28 22:55 Christian Grothoff Fixed in Version => 0.3
2017-05-28 22:55 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed